| Flutter Linux Embedder |

Public Attributes | List of all members
_FlKeyboardManager Struct Reference

## Public Attributes
GObject | parent_instance
FlKeyboardViewDelegate * | view_delegate
GPtrArray * | responder_list
GPtrArray * | pending_responds
GPtrArray * | pending_redispatches
uint64_t | last_sequence_id
std::unique_ptr< DerivedLayout > | derived_layout
std::unique_ptr< std::map< uint16_t, const LayoutGoal * > > | keycode_to_goals
std::unique_ptr< std::map< uint64_t, const LayoutGoal * > > | logical_to_mandatory_goals
FlMethodChannel * | channel

## Detailed Description

Definition at line 255 of file fl_keyboard_manager.cc.

## Member Data Documentation

## ◆ channel

FlMethodChannel* _FlKeyboardManager::channel

Definition at line 297 of file fl_keyboard_manager.cc.

## ◆ derived_layout

std::unique_ptr<DerivedLayout> _FlKeyboardManager::derived_layout

Definition at line 285 of file fl_keyboard_manager.cc.

## ◆ keycode_to_goals

std::unique_ptr<std::map<uint16_t, const LayoutGoal*> > _FlKeyboardManager::keycode_to_goals

Definition at line 289 of file fl_keyboard_manager.cc.

## ◆ last_sequence_id

uint64_t _FlKeyboardManager::last_sequence_id

Definition at line 278 of file fl_keyboard_manager.cc.

## ◆ logical_to_mandatory_goals

std::unique_ptr<std::map<uint64_t, const LayoutGoal*> > _FlKeyboardManager::logical_to_mandatory_goals

Definition at line 294 of file fl_keyboard_manager.cc.

## ◆ parent_instance

GObject _FlKeyboardManager::parent_instance

Definition at line 256 of file fl_keyboard_manager.cc.

## ◆ pending_redispatches

GPtrArray* _FlKeyboardManager::pending_redispatches

Definition at line 275 of file fl_keyboard_manager.cc.

## ◆ pending_responds

GPtrArray* _FlKeyboardManager::pending_responds

Definition at line 270 of file fl_keyboard_manager.cc.

## ◆ responder_list

GPtrArray* _FlKeyboardManager::responder_list

Definition at line 263 of file fl_keyboard_manager.cc.

## ◆ view_delegate

FlKeyboardViewDelegate* _FlKeyboardManager::view_delegate

Definition at line 258 of file fl_keyboard_manager.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_keyboard_manager.cc